
package com.tmerclub.cloud.search.bo;

import com.tmerclub.cloud.common.constant.Constant;
import com.tmerclub.cloud.search.canal.annotation.CanalModel;
import com.tmerclub.cloud.search.canal.common.FieldNamingPolicy;

import java.io.Serial;
import java.io.Serializable;

/**
 * 商品分组信息
 *
 * @author YXF
 * @date 2020-12-23 15:27:24
 */
@CanalModel(database = "tmerclub" + Constant.UNDERLINE_ENV + "_product", table = "spu_tag_reference", fieldNamingPolicy = FieldNamingPolicy.LOWER_UNDERSCORE)
public class SpuTagBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 分组引用id
     */
    private Long referenceId;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 标签id
     */
    private Long tagId;

    /**
     * 商品id
     */
    private Long spuId;

    /**
     * 序号
     */
    private Integer seq;

    /**
     * 状态(1:正常,0:删除)
     */
    private Integer status;

    public Long getReferenceId() {
        return referenceId;
    }

    public void setReferenceId(Long referenceId) {
        this.referenceId = referenceId;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public Long getTagId() {
        return tagId;
    }

    public void setTagId(Long tagId) {
        this.tagId = tagId;
    }

    public Long getSpuId() {
        return spuId;
    }

    public void setSpuId(Long spuId) {
        this.spuId = spuId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getSeq() {
        return seq;
    }

    public void setSeq(Integer seq) {
        this.seq = seq;
    }

    @Override
    public String toString() {
        return "SpuTagBO{" +
                "referenceId=" + referenceId +
                ", shopId=" + shopId +
                ", tagId=" + tagId +
                ", spuId=" + spuId +
                ", status=" + status +
                ", seq=" + seq +
                '}';
    }
}
